# Generated by Django 4.0.4 on 2022-07-05 07:35

from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Department',
            fields=[
                ('id', models.CharField(max_length=50, primary_key=True, serialize=False, unique=True, verbose_name='Department Id')),
                ('name', models.CharField(max_length=200, verbose_name='Department Name')),
                ('description', models.TextField(verbose_name='Department Description')),
                ('department_members', models.ManyToManyField(to=settings.AUTH_USER_MODEL, verbose_name='Members of the department')),
            ],
            options={
                'verbose_name': 'Department',
                'verbose_name_plural': 'Departments',
            },
        ),
    ]
